<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="/OMA">
    
    <HTML>    
			<head>
				<title><xsl:value-of select="$strAbout"/>&#160;<xsl:value-of select="OEM/OEMTitleCompanyName" />&#160;<xsl:value-of select="OEM/OEMTitleCoreProductName" />&#160;<xsl:call-template name="Pref"><xsl:with-param name="prodname"><xsl:value-of select="OEM/ProdName" /></xsl:with-param></xsl:call-template></title>
			</head>
					
					<frameset rows="100%" border="0">
						

				<frame name="about" scrolling="auto" marginheight="0" marginwidth="0" frameborder="no" framespacing="0" >
					<xsl:attribute name="src">/servlet/UDataArea?plugin=com.dell.oma.webplugins.AboutWebPlugin&amp;vid=<xsl:value-of select="VID"/></xsl:attribute> 
				</frame>	
			</frameset>
			<noframes />
		</HTML>
	</xsl:template>
		
	<xsl:template name="Pref">
		<xsl:param name="prodname"/>
		<xsl:choose>
			<xsl:when test="$prodname = 'Preferences'"><xsl:value-of select="$strPreferences"/></xsl:when>
			<xsl:otherwise><xsl:value-of select="$prodname"/></xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
</xsl:stylesheet>